#include <bits/stdc++.h>
using namespace std;

#define all(x) begin(x), end(x)
#define sz(x) (ll)(x).size()

using ll = long long;
using ld = long double;

ld area(ld radius) {
	ld height = sqrt(radius*radius-radius*radius*0.25);
	return height*radius*3;
}

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	ld a;
	cin >> a;

	ld l = 0;
	ld r = 1000000000000000000;
	for (ll i = 0; i < 200; i++) {
		ld m = (l + r) / 2;
		if (area(m/6) < a) {
			l = m;
		} else {
			r = m;
		}
	}
	cout << fixed << setprecision(10) << l << endl;
} 
